import micro_request from '@/utils/micro_request'

const basePath = process.env.VUE_APP_AdminPath
export default {
  login(query) {
    return micro_request.postRequest(basePath, 'Auth', 'Login', query)
  },
  logout(query) {
    return micro_request.postRequest(basePath, 'Auth', 'LogOut', query)
  },
  getUserInfo(query) {
    return micro_request.postRequest(basePath, 'User', 'GetUserInfo', query)
  },
  // 获取列表
  getList(query) {
    return micro_request.postRequest(basePath, 'User', 'GetList', query)
  },
  doAdd(query) {
    return micro_request.postRequest(basePath, 'User', 'Add', query)
  },
  doEdit(query) {
    return micro_request.postRequest(basePath, 'User', 'UpdateById', query)
  },
  doDelete(query) {
    return micro_request.postRequest(basePath, 'User', 'DeleteByIds', query)
  },
}
